---
# This file is licensed under the MIT License (MIT) available on
# http://opensource.org/licenses/MIT.

layout: base-core
lang: ru
id: bitcoin-core-2016-01-07-statement
columns: 1
title: Сообщение от Bitcoin Core -- 2016-01-07
breadcrumbs:
  - bitcoin
  - bcc
  - 2016-01-07 Statement

moved_url: "https://bitcoincore.org/ru/2016/01/07/c%D0%BE%D0%BE%D0%B1%D1%89%D0%B5%D0%BD%D0%B8%D0%B5-%D0%BE%D1%82-bitcoin-core/"
---
# Сообщение от Bitcoin Core 2016-01-07

Bitcoin является “пиринговой электронной валютой, позволяющей совершать онлайн-платежи напрямую между участниками минуя финансовые организации”. Наше видение развития Bitcoin —	 это повышение гибкости системы, позволяющее достичь её эффективной работы в условиях предельно высокого количества транзакций без ущерба для безопасности и уникальных фундаментальных принципов децентрализации.

Мы уверены в том, что эти цели достижимы путём создания фундаментальной основы для развития надстроек, дополняющих протокол Bitcoin, и интерфейсов с другими системами. Наши долгосрочные цели также включают обеспечение защиты и конфиденциальности использования Bitcoin.   

"Bitcoin Core" — это название проекта открытого программного обеспечения, основанного на изначальной реализации Bitcoin. Задача участников проекта — это поддержка и выпуск общедоступных версий Bitcoin. Мы сосредоточены на улучшении протокола системы путём внесения изменений, отвечающих критериям технической целесообразности, соответствия целям Bitcoin и глобальной приемлемости для пользователей системы.

Изменения параметров системы вступают в силу по алгоритму soft fork либо hard fork (см. приложение A). Алгоритм soft fork позволяет вносить изменения, не прерывая работу как старых так и новых узлов системы, что позволяет обновлять программное обеспечение Bitcoin только тем узлам, которые хотели бы использовать новые функции, при этом не нарушается функционирование необновившихся узлов.

Алгоритм hard fork делает обновившиеся и не обновившиеся узлы системы несовместимыми; каждый участник системы должен обновить своё программное обеспечение Bitcoin до заранее назначенного момента времени во избежание финансовых потерь. Не обновившиеся вовремя узлы выпадают из сети Bitcoin, чем ослабляют её. Кроме того, стороннее программное обеспечение, работающее с необновившимися узлами, может перестать функционировать корректно. 

В связи с этим Bitcoin Core считает наиболее важным фактором совместимость и считает использование либо неиспользование новейших правил протокола Bitcoin выбором каждого пользователя. Существует техническая возможность производить большую часть изменений протокола по алгоритму soft fork. Однако, иногда hard fork имеет преимущества перед soft fork, в таких случаях, при согласии большей части сообщества, такие преимущества считаются решающими. За исключением подобных нечастых случаев, предпочтителен soft fork. Мы считаем такой подход наиболее отвечающим интересам текущих и будущих пользователей системы.

По мере роста экосистемы Bitcoin, веротяно, будет появляться больше и больше альтернативных систем, работающих по протоколу Bitcoin. В таком случае разработчики альтернативных систем неизбежно будут предлагать существенные изменения в протоколе. Принятие или непринятие таких изменений — задача и ответственность не разработчиков Bitcoin Core, но пользователей Bitcoin. Именно по этой причине Bitcoin Core не включает в себя функцию автообновления: решая, какую версию Bitcoin использовать, пользователи активно участвуют в принятии или непринятии изменений в протокол.


## Приложение A

Алгоритм hard fork - это изменение в правила согласованности, при котором блоки, некорректные по старым правилам, могут стать корректными по новым.

Алгоритм soft fork - это изменение в правила согласованности, при котором блоки, корректные по старым правилам, могут стать некорректными по новым, но все блоки, некорректные по старым правилам, остаются некорректными и по новым.
